Bug 388191 - OpenGL is broken (flashes) with new 1.4.99 X-server
OpenGL is broken (flashes) with new 1.4.99 X-server
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-17 04:33 EST by Hans de Goede
Modified: 2008-03-09 11:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 11:57:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.log from working Fedora 8 xorg (42.42 KB, text/plain)
2007-11-22 09:27 EST, Hans de Goede
no flags Details
Xorg.log when using rawhide xorg-1.4.99.1 (21.60 KB, text/plain)
2007-11-22 09:37 EST, Hans de Goede
no flags Details
xorg.conf used with both versions (572 bytes, text/plain)
2007-11-22 09:38 EST, Hans de Goede
no flags Details
Xorg.log for 1.4.99.1 without xorg.xonf (23.53 KB, text/plain)
2007-11-22 09:55 EST, Hans de Goede
no flags Details

  None (edit)
Description Hans de Goede 2007-11-17 04:33:57 EST
Description of problem:
As an experiment I've update xorg, mesa, libdrm and libpciaccess on my i386 F-8
intel integrated graphics machine to the current xorg-x11-server 1.4.99 and
related versions in rawhide.

After this running opengl apps results in the part of the screen used by the
pass flashing between black (most of the time) and what it is actually supposed
to look like (for very brief < 1 second periods).

I'm pretty sure you will need lots more info, please tell me what and I'll add
it here, maybe we need a howto file Xorg bugs wiki page?
Comment 1 Matěj Cepl 2007-11-19 11:10:54 EST
Aside from the information in blurb below, I would add
http://thread.gmane.org/gmane.linux.redhat.fedora.devel/68265/

Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Hans de Goede 2007-11-22 09:27:04 EST
Created attachment 266931 [details]
xorg.log from working Fedora 8 xorg
Comment 3 Hans de Goede 2007-11-22 09:37:56 EST
Created attachment 266961 [details]
Xorg.log when using rawhide xorg-1.4.99.1
Comment 4 Hans de Goede 2007-11-22 09:38:56 EST
Created attachment 266981 [details]
xorg.conf used with both versions
Comment 5 Hans de Goede 2007-11-22 09:41:04 EST
Notice that when running an OpenGL app from the cmdline I get:
[intelInitDriver:564] Failed to init TTM buffer manager, falling back to classic.
Comment 6 Hans de Goede 2007-11-22 09:55:50 EST
Created attachment 267031 [details]
Xorg.log for 1.4.99.1 without xorg.xonf
Comment 7 Hans de Goede 2008-03-09 11:57:39 EDT
I'm happy to report that this is fixed with the latest xorg packages from
rawhide, closing.

Note You need to log in before you can comment on or make changes to this bug.